ClusterManagementGetResult (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.management.api

## Class ClusterManagementGetResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo>

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementGetResult<T,R>

- Type Parameters:
    `T` - the type of the static config, e.g. RegionConfig
    `R` - the type of the corresponding runtime information, e.g. RuntimeRegionInfo

      @Experimental
      public class ClusterManagementGetResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo>
      extends ClusterManagementResult

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.management.api.ClusterManagementResult

      `statusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementGetResult()` for internal use only
    `ClusterManagementGetResult(ClusterManagementListResult<T,R> singletonListResult)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getConfigResult()` Returns only the static config portion of the result
    `ConfigurationResult<T,R>` | `getResult()` Returns the combined payload of the get call
    `List<R>` | `getRuntimeResult()` Returns only the runtime information portion of the result
    `void` | `setResult(ConfigurationResult<T,R> result)` for internal use only

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `getStatusCode, getStatusMessage, isSuccessful, setLinks, setStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementGetResult

          public ClusterManagementGetResult()

      for internal use only

    - #### ClusterManagementGetResult

          public ClusterManagementGetResult(ClusterManagementListResult<T,R> singletonListResult)

      for internal use only

  - ### Method Detail

    - #### getResult

          public ConfigurationResult<T,R> getResult()

      Returns the combined payload of the get call

    - #### getConfigResult

          public T getConfigResult()

      Returns only the static config portion of the result

    - #### getRuntimeResult

          public List<R> getRuntimeResult()

      Returns only the runtime information portion of the result

    - #### setResult

          public void setResult(ConfigurationResult<T,R> result)

      for internal use only